CSFML

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
sfContextSettings Struct Reference

Structure defining the window's creation settings. More...

`#include <Window.h>`

## Data Fields
unsigned int | depthBits
| Bits of the depth buffer. More...
unsigned int | stencilBits
| Bits of the stencil buffer. More...
unsigned int | antialiasingLevel
| Level of antialiasing. More...
unsigned int | majorVersion
| Major number of the context version to create. More...
unsigned int | minorVersion
| Minor number of the context version to create. More...

## Detailed Description

Structure defining the window's creation settings.

Definition at line 58 of file Window/Window.h.

## Field Documentation

unsigned int sfContextSettings::antialiasingLevel

Level of antialiasing.

Definition at line 62 of file Window/Window.h.

unsigned int sfContextSettings::depthBits

Bits of the depth buffer.

Definition at line 60 of file Window/Window.h.

unsigned int sfContextSettings::majorVersion

Major number of the context version to create.

Definition at line 63 of file Window/Window.h.

unsigned int sfContextSettings::minorVersion

Minor number of the context version to create.

Definition at line 64 of file Window/Window.h.

unsigned int sfContextSettings::stencilBits

Bits of the stencil buffer.

Definition at line 61 of file Window/Window.h.

The documentation for this struct was generated from the following file:

- Window/Window.h